package cz.muni.fi.pa165.examples.currencyconvertor;

import java.math.BigDecimal;
import java.util.Currency;
import java.util.Hashtable;
import java.util.Map;

/**
 *
 * @author adamekp
 */
public class ExchangeRateTableImpl implements ExchangeRateTable {

    private Map<Currency,BigDecimal> exchangeRates = new Hashtable<Currency, BigDecimal>();

    public void setExchangeRate(Currency currency, BigDecimal exchangeRate) {
        if (exchangeRate.signum() <= 0) {
            throw new IllegalArgumentException("Exchange rate must be grater than zero");
        }
        exchangeRates.put(currency, exchangeRate);
    }

    public BigDecimal getExchangeRate(Currency currency) {
        return exchangeRates.get(currency);
    }
}
