package cz.muni.fi.pa165.examples.currencyconvertor;

import java.math.BigDecimal;
import java.util.Currency;
import static org.junit.Assert.*;
import org.junit.Test;

public class CurrencyConvertorTest {

    @Test
    public void testConvert() {

        ExchangeRateTable exchangeRateTable = new ExchangeRateTable() {

            public void setExchangeRate(Currency currency, BigDecimal exchangeRate) {
                throw new UnsupportedOperationException("Not supported yet.");
            }

            public BigDecimal getExchangeRate(Currency currency) {
                return BigDecimal.valueOf(28.2);
            }
        };

        CurrencyConvertor convertor = new CurrencyConvertor(exchangeRateTable);
        Currency czk = Currency.getInstance("CZK");
        BigDecimal actualResult = convertor.convert(czk, BigDecimal.valueOf(100));
        BigDecimal expectedResult = BigDecimal.valueOf(2820.0);

        assertEquals(expectedResult, actualResult);
        
    }
}